2019-07-22 17:51 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001106NetSurf[All Projects] Generalpublic2015-10-31 22:06
ReporterSourceforge Import placeholder 
Assigned To 
SeverityminorReproducibilityhave not tried 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.0 
Summary0001106: Shift+Adjust on links behaves as plain Adjust
DescriptionFrom: Christopher Martin <belles@internode.on.net>

I am using version 2.0 (Dev) (20 Aug 2007 02:45) r3529. But as I recall, this has been a long-standing bug. According to the User Guide, a Shift+Adjust click on a link should allow saving the target address as a URL. However, the behaviour is the same as that produced by plain Adjust, as if the Shift key status is being ignored.

Tonight, I downloaded the latest sources via SVN. I think I may have identified the cause of the problem. There is a block of code in function browser_window_mouse_action_html(...), in file <netsurf.desktop.c.browser>, in which three if-else tests are performed. The order of the tests is significant. The present order is as follows:

if (mouse & BROWSER_MOUSE_CLICK_1 && mouse & BROWSER_MOUSE_MOD_1) { ... } else if (mouse & (BROWSER_MOUSE_CLICK_1 | BROWSER_MOUSE_CLICK_2)) { ... } else if (mouse & BROWSER_MOUSE_CLICK_2 && mouse & BROWSER_MOUSE_MOD_1) { ... }

Might I suggest you consider swapping the 2nd and 3rd tests so that the structure becomes:

if (mouse & BROWSER_MOUSE_CLICK_1 && mouse & BROWSER_MOUSE_MOD_1) { ... } else if (mouse & BROWSER_MOUSE_CLICK_2 && mouse & BROWSER_MOUSE_MOD_1) { ... } else if (mouse & (BROWSER_MOUSE_CLICK_1 | BROWSER_MOUSE_CLICK_2)) { ... }

I have attached a modified version of <netsurf.desktop.c.browser> for your consideration. (I should mention that I do not yet have all the tools needed to build Netsurf for myself and test my changes.)
Additional Informationtlsa added a note on Sun Aug 26 18:00:34 2007

Logged In: YES
user_id=826159
Originator: NO

Thanks for the fix. I've tested it and applied it.

nobody added a note on Fri Aug 24 09:00:33 2007

Logged In: NO

From: Christopher Martin <belles@internode.on.net>

I have now recompiled Netsurf and the changes outlined do indeed solve the problem.

Imported from sourceforge bug http://sourceforge.net/support/tracker.php?aid=1779560 on Tue Dec 10 17:34:12 2013

TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2013-12-10 17:41 Vincent Sanders New Issue
2013-12-10 17:41 Vincent Sanders Assigned To => Sourceforge Import placeholder
2015-10-31 22:06 Vincent Sanders Assigned To Sourceforge Import placeholder =>
2015-10-31 22:06 Vincent Sanders Resolution open => fixed
2015-10-31 22:06 Vincent Sanders Fixed in Version => 2.0
2015-10-31 22:06 Vincent Sanders Description Updated View Revisions
2015-10-31 22:06 Vincent Sanders Additional Information Updated View Revisions
+Issue History